import { createViteLoader } from "../core/module-loader/vite.js";
function astroDevLoader({ mode }) {
  return {
    name: "astro:dev-loader",
    resolveId(id) {
      if (id === "astro:dev-module-loader") {
        return "\0" + id;
      }
    },
    async configureServer(server) {
      if (mode === "dev") {
        const module = await server.moduleGraph.ensureEntryFromUrl("\0astro:dev-module-loader", true);
        const loader = createViteLoader(server);
        module.ssrModule = { default: loader };
      }
    }
  };
}
export {
  astroDevLoader as default
};
